Project List
List projects.
Fields
id (integer)
Primary key.
Expansions
To activate relation expansion add the desired fields as a comma separated
list to the expand query parameter like this:
?expand=<field>,<field>,<field>,...
The following relational fields can be expanded:
organizationcategorytypepartner_functionmanagercontactstatusgrantresearcheventstudylanguageprogramfunders
Filters
To filter for exact value matches:
?<fieldname>=<value>
Possible exact filters:
organizationcategorymanagercontactstatusgrantresearchstudylanguagefundersprogram
For advanced filtering use lookups:
?<fieldname>__<lookup>=<value>
All fields with advanced lookups can also be used for exact value matches as described above.
Possible advanced lookups:
begin_planned:gt,gte,lt,ltebegin_effective:gt,gte,lt,lteend_planned:gt,gte,lt,lteend_effective:gt,gte,lt,lte
GET /v1/research/project/?format=api&offset=2260&ordering=-end_planned
{ "count": 2261, "next": null, "previous": "https://api-test.medunigraz.at/v1/research/project/?format=api&limit=20&offset=2240&ordering=-end_planned", "results": [ { "id": 2316, "title": { "de": "Insulin und die humane Plazenta: Wirkung auf Proliferation und Genexpression", "en": "Insulin and the human Placenta: Proliferation and Genexpression" }, "short": null, "url": null, "abstract": { "de": null, "en": null }, "begin_planned": "2001-07-01T02:00:00+02:00", "begin_effective": "2001-07-01T02:00:00+02:00", "end_planned": "2003-06-30T02:00:00+02:00", "end_effective": "2003-06-30T02:00:00+02:00", "assignment": "2009-09-27T18:27:28+02:00", "program": null, "subprogram": null, "organization": 14014, "category": 10, "type": 10, "partner_function": 4, "manager": 51047, "contact": 51047, "status": 2, "research": 1, "grant": 10, "event": null, "study": null, "language": null, "funders": [ 12 ], "funder_projectcode": null, "ethics_committee": null, "edudract_number": null, "persons": [ "2316-51047-10" ] } ] }